GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "07d17a66-e02d-42ac-b409-a4dbe9ed0a31",
"private_locations": [
{
"private_location_id": "1299b21c-07e9-404d-85b7-69f18c2eeefc",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "38ef6274-641a-4341-bf8b-8f6b3cc58fdb"
},
{
"private_location_id": "31483179-3e73-4fb3-852c-f54c9e9ccd42",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f3e51482-d3d8-40c6-9f98-9f98f033267f"
},
{
"private_location_id": "66e16512-ca8a-4afa-a8b3-187f6ffab73c",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "99e81e50-72de-40eb-b4c7-6940b3e5328d"
}
]
},
{
"access_group": "3f3259a1-a15a-4c9d-91ea-56ff73f84498",
"private_locations": [
{
"private_location_id": "31483179-3e73-4fb3-852c-f54c9e9ccd42",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f3e51482-d3d8-40c6-9f98-9f98f033267f"
},
{
"private_location_id": "31483179-3e73-4fb3-852c-f54c9e9ccd42",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f3e51482-d3d8-40c6-9f98-9f98f033267f"
},
{
"private_location_id": "66e16512-ca8a-4afa-a8b3-187f6ffab73c",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "99e81e50-72de-40eb-b4c7-6940b3e5328d"
}
]
},
{
"access_group": "253d8111-82f3-490c-a337-037d3029dbf5",
"private_locations": [
{
"private_location_id": "31483179-3e73-4fb3-852c-f54c9e9ccd42",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f3e51482-d3d8-40c6-9f98-9f98f033267f"
},
{
"private_location_id": "66e16512-ca8a-4afa-a8b3-187f6ffab73c",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "99e81e50-72de-40eb-b4c7-6940b3e5328d"
},
{
"private_location_id": "31483179-3e73-4fb3-852c-f54c9e9ccd42",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f3e51482-d3d8-40c6-9f98-9f98f033267f"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid | Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object | A list of private location details. |
| PrivateLocationId | Guid | Unique identifier for the private location. |
| Enabled | Boolean | Indicates whether the private location is enabled. |
| Geoloc | String | Geographical location of the private location. |
| CustomerGuid | Guid | Customer identifier associated with the private location. |